// This may look like C code, but it is really -*- C++ -*-
#ifndef PIPERIODX_H
#define PIPERIODX_H

#include <X11/Intrinsic.h>
#include "periodic.h"

class PIPeriodX : public Periodic {
public:
  PIPeriodX(int dt, UsPeriodicAction act=NULL, void * usp=NULL);
  ~PIPeriodX();

  virtual void Start(int dt=-1);
  virtual void Stop();

  inline void SetTimerId(XtIntervalId id) {mTId=id; }

protected:
XtIntervalId mTId;
};

typedef PIPeriodX PIPeriodic;

#endif
